- Home
- API Enriched
- Tenant And Identity
- web
- Lookup User Roles.
Lookup User Roles.
POST
/api/web/namespaces/system/lookup-user-roles
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/lookup-user-roles';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/lookup-user-roles \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example" }'LookupUserRoles returns roles for the the given user, namespace.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
LookupUserRolesReq
Request body of LookupUserRoles request.
object
namespace
namespace
Name of the namespace to lookup user roles.
string
Examplegenerated
{ "namespace": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
LookupUserRolesResp
Response body of LookupUserRoles request.
object
roles
roles
List of user roles.
Array<string>
Examplegenerated
{ "roles": [ "example" ]}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example